## org.hornetq.rest.util
Class CustomHeaderLinkStrategy

    java.lang.Object
      org.hornetq.rest.util.CustomHeaderLinkStrategy

All Implemented Interfaces:
  LinkStrategy

    public class CustomHeaderLinkStrategy

extends java.lang.Object
implements LinkStrategy

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`CustomHeaderLinkStrategy()`

Method Summary
`void` `setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder, java.lang.String title, java.lang.String rel, java.lang.String href, java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomHeaderLinkStrategy

    public CustomHeaderLinkStrategy()

Method Detail

### setLinkHeader

    public void setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder,
                              java.lang.String title,
                              java.lang.String rel,
                              java.lang.String href,
                              java.lang.String type)

  Specified by:
    `setLinkHeader` in interface `LinkStrategy`

Copyright © 2013. All Rights Reserved.